org.apache.felix.threaddump.internal

## Class ThreadWriter

- java.lang.Object
- - org.apache.felix.threaddump.internal.ThreadWriter

    public final class ThreadWriter
    extends java.lang.Object

### Field Summary

Fields
`static short` `BLOCKED`
`static short` `NEW`
`static short` `RUNNABLE`
`static short` `TERMINATED`
`static short` `TIMED_WAITING`
`static short` `WAITING`

### Constructor Summary

Constructors
Constructor and Description
`ThreadWriter(java.io.PrintWriter writer)`

### Method Summary

Methods
`void` `printEmptyLine()`
`void` `printHeader()` Full thread dump identifier
`void` `println(java.lang.String message)`
`void` `println(java.lang.String pattern, java.lang.Object[] arguments)`
`void` `printStackTrace(java.lang.StackTraceElement[] stackTrace)`
`void` `printStackTraceElement(java.lang.StackTraceElement element)`
`void` `printThread(java.lang.String name, boolean isDaemon, long priority, long id, short status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NEW

    public static final short NEW

See Also:
  Constant Field Values

#### RUNNABLE

    public static final short RUNNABLE

See Also:
  Constant Field Values

#### BLOCKED

    public static final short BLOCKED

See Also:
  Constant Field Values

#### WAITING

    public static final short WAITING

See Also:
  Constant Field Values

#### TIMED_WAITING

    public static final short TIMED_WAITING

See Also:
  Constant Field Values

#### TERMINATED

    public static final short TERMINATED

See Also:
  Constant Field Values

### Constructor Detail

#### ThreadWriter

    public ThreadWriter(java.io.PrintWriter writer)

### Method Detail

#### printHeader

    public void printHeader()

Full thread dump identifier

#### printThread

    public void printThread(java.lang.String name,
                   boolean isDaemon,
                   long priority,
                   long id,
                   short status)

#### printStackTrace

    public void printStackTrace(java.lang.StackTraceElement[] stackTrace)

#### printStackTraceElement

    public void printStackTraceElement(java.lang.StackTraceElement element)

#### printEmptyLine

    public void printEmptyLine()

#### println

    public void println(java.lang.String message)

#### println

    public void println(java.lang.String pattern,
               java.lang.Object[] arguments)